(Sorry, the plugin I selected for support is not correct,

(Sorry, the plugin I selected for support is not correct, but the system here wouldn't let me submit my ticket unless I selected something. The one I need support for has been uninstalled and not available in the list.)

Here's my problem

I just upgraded to the latest Snapshot plugin - sorry, can't remember the version number, but it's the one that allows for backups to Google Drive (ver. 2.4.2 ?). Unfortunately, I got an error message (see attached image) and had to uninstall it as I was unable to access my admin area.

I have a multisite install - WP 3.8.2

Please advise...

--Mari